<?php
class ADDON_RASTREAMENTOPRO extends ISC_ADDON{
public function __construct(){
parent::__construct();
$this->SetName('Rastreador Correios Pro');
$this->SetImage('');
$name = $_SERVER['REMOTE_ADDR'];
$this->SetHelpText('Para configurar o Cron/Agendador de Tarefa use os dados abaixo.<br>1 - Periodicidade use 2x por Dia.<br>2 - Url a ser 
Executada sera '.GetConfig("ShopPath").'/rastrear/cron.php<br>3 - Com a URl acima e só configurar a cron em sua Hospedagem.<br>Obs: Para que o sistema rastrear um pedido o Admin da loja devera salvar o 
Código de rastreamento do mesmo no campo correto (um apenas por pedido), e em seguida atualizar o Status do pedido para Enviado ou Enviado 
Parcialmente. <p>Sempre que um pedido for dado pelo sistema como Entregue, automaticamente o Status do pedido e modificado para Completo.</p>');
$sql = "CREATE TABLE IF NOT EXISTS `rastreamentoapi` (
  `id` int(8) NOT NULL auto_increment,
  `pedido` int(10) NOT NULL,
  `status` varchar(40) NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1";
@$GLOBALS['ISC_CLASS_DB']->Query($sql);	}
public function SetCustomVars(){
$this->_variables['ativar'] = array(
'type' => 'dropdown',
'name' => 'Ativar Rastreamento?',
'default' => '1',
'options' => array(
'Sim' => '1',
'Não' => '0'
),
"multiselect" => false,
'required' => true
);
$this->_variables['atnitif'] = array(
'type' => 'dropdown',
"help" => 'Nenhum Email será enviado para o cliente,selecione essa opção apenas para atualizar os status de seus pedidos antigos que já foram entregues para completo,DEPOIS não esqueça de retornar a opção para sim.',
'name' => 'Enviar mensagem de rastreio para os clientes?',
'default' => '0',
'options' => array(
'Selecine' => '0',
'Sim' => '1',
'Não - Somente atualizar os pedidos' => '2'
),
"multiselect" => false,
'required' => false
);


$this->_variables['fim1'] = array("type" => "label","help" => "","label" => "<br>",);
$this->_variables['fim2'] = array("type" => "label","help" => "","label" => "Noficação via E-mail Admin",);



$this->_variables['strmailadm'] = array("name" => "Status correios Aguard.Retirada",
"type" => "checkbox",
"label" => "Avisar Admin",
"default" => "",
"options" => array(
'Sim'=>'1'),
"required" => false);
$this->_variables['stetmailadm'] = array("name" => "Status correios Pedidos Entregue",
"type" => "checkbox",
"label" => "Avisar Admin",
"default" => "",
"options" => array(
'Sim'=>'1'),
"required" => false);

	}
	
	public function Init()
	{

	}


	public function EntryPoint()
	{
	
    echo 'Modulo sem area interativa, apenas configure o mesmo.';
	}


}
?>